Bug 250271 - 2.6.22.1-33.fc7 and 2.6.22.1-27.fc7 not allowing some NFS mounts
Summary: 2.6.22.1-33.fc7 and 2.6.22.1-27.fc7 not allowing some NFS mounts
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-31 15:46 UTC by Radu Nitu
Modified: 2008-01-17 14:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 14:18:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radu Nitu 2007-07-31 15:46:51 UTC
Description of problem:

I have some nfs mounts that are supposed to be mounted from a nfs server. They
are about 10 mounts in total. One of them being the home directories for the
users which do work. Other mounts also work but these ones don't. I'm not using
automounter of selinux.

These mounts are in the fstab of the machines.

errors I get are:

mount.nfs: /bing/adm is already mounted or busy
mount.nfs: /bing/doc is already mounted or busy
mount.nfs: /bing/man is already mounted or busy
mount.nfs: /bing/share is already mounted or busy
mount.nfs: /bing/src is already mounted or busy
mount.nfs: /bing/local is already mounted or busy

These occur at bootup and when doing mount -a manually later on.

The problem is that these machines had their kernels updated to: 2.6.22.1-27.fc7
when I noticed this and then when I saw the newer 2.6.22.1-33.fc7, I thought it
would be fixed. The thing is this worked fine with: 2.6.21-1.3228.fc7.

Comment 1 Radu Nitu 2007-07-31 19:19:23 UTC
I should mention that I have figured out a way around it. All of these are
mounted as r/w and exported as r/w. They are mounted on top of a mount called
/bing which only contains the directory structure: 
/bing/adm and so on. /bing is being mounted as r/o and this has worked fine
until these 2 kernel versions. A weird thing is that the home folders are
mounted to /bing/h/home-1 as r/w after the /bing dir structure and they always
work fine.

The current fix for this is to mount the /bing dir structure as r/w and all the
other mounts will mount properly but this is definitely a bug in these 2 kernel
versions.

Comment 2 Radu Nitu 2007-08-01 18:23:54 UTC
also happens in: 2.6.22.1-41.fc7

Comment 3 Chuck Ebbert 2007-08-13 20:55:55 UTC
Try adding "nosharecache" to the mount options for those filesystems.


Comment 4 Steve Dickson 2007-08-22 17:46:14 UTC
Could you please post the /etc/fstab or autofs config files so I 
can see all the mount options that are being used?

Comment 5 Christopher Brown 2007-09-21 13:41:48 UTC
Hello Radu,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris

Comment 6 Jon Stanley 2008-01-17 00:35:36 UTC
Radu,

Could you please provide the information requested by Steve in comment #4?  If
there is no response for one month, I will close this bug INSUFFICIENT_DATA. 

Comment 7 Christopher Brown 2008-01-17 14:18:40 UTC
Two requests for info and no response therefore I am closing it as
INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.


Note You need to log in before you can comment on or make changes to this bug.